From 0b0439b72e850f11181849e437a68bb04c943f04 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Fri, 31 Mar 2023 15:44:10 +0800
Subject: [PATCH 01/10] first commit

---
 README.md | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/README.md b/README.md
index ebcdd4470..06833487b 100644
--- a/README.md
+++ b/README.md
@@ -162,3 +162,5 @@
 
 
 
+# plus-doc

+
\ No newline at end of file

From 5cd6dcff4f809dce4bbbd5ae0a3afb8bfdfa1872 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Fri, 31 Mar 2023 15:45:29 +0800
Subject: [PATCH 02/10] first commit

---
 README.md | 1 +
 1 file changed, 1 insertion(+)

diff --git a/README.md b/README.md
index 06833487b..b149cc4f7 100644
--- a/README.md
+++ b/README.md
@@ -163,4 +163,5 @@
 
 
 # plus-doc

+# plus-doc

 
\ No newline at end of file

From 93dda236dcb5a19e0da3dd4b8472d8ea05680e2a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 11:33:22 +0800
Subject: [PATCH 03/10] =?UTF-8?q?fix=20=E4=BF=AE=E5=A4=8D=E9=A1=B5?=
 =?UTF-8?q?=E9=9D=A2=E5=88=87=E6=8D=A2=E6=97=B6=E5=B8=83=E5=B1=80=E9=94=99?=
 =?UTF-8?q?=E4=B9=B1=E7=9A=84=E9=97=AE=E9=A2=98?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/assets/styles/transition.scss | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/ruoyi-ui/src/assets/styles/transition.scss b/ruoyi-ui/src/assets/styles/transition.scss
index eb4989554..073f8c6ce 100644
--- a/ruoyi-ui/src/assets/styles/transition.scss
+++ b/ruoyi-ui/src/assets/styles/transition.scss
@@ -18,10 +18,6 @@
   transition: all .5s;
 }
 
-.fade-transform-leave-active {
-  position: absolute;
-}
-
 .fade-transform-enter {
   opacity: 0;
   transform: translateX(-30px);

From 98955170979ddd7e631a9320b31c925beb2918cd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 11:37:01 +0800
Subject: [PATCH 04/10] =?UTF-8?q?update=20=E4=BC=98=E5=8C=96=E5=BC=B9?=
 =?UTF-8?q?=E7=AA=97=E5=90=8E=E5=AF=BC=E8=88=AA=E6=A0=8F=E5=81=8F=E7=A7=BB?=
 =?UTF-8?q?=E7=9A=84=E9=97=AE=E9=A2=98?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/layout/components/AppMain.vue |  9 ------
 ruoyi-ui/src/layout/index.vue              | 32 ++++++++++++++--------
 2 files changed, 21 insertions(+), 20 deletions(-)

diff --git a/ruoyi-ui/src/layout/components/AppMain.vue b/ruoyi-ui/src/layout/components/AppMain.vue
index f4e74dbdb..b7a87ae8c 100644
--- a/ruoyi-ui/src/layout/components/AppMain.vue
+++ b/ruoyi-ui/src/layout/components/AppMain.vue
@@ -50,12 +50,3 @@ export default {
   }
 }
 </style>
-
-<style lang="scss">
-// fix css style bug in open el-dialog
-.el-popup-parent--hidden {
-  .fixed-header {
-    padding-right: 17px;
-  }
-}
-</style>
diff --git a/ruoyi-ui/src/layout/index.vue b/ruoyi-ui/src/layout/index.vue
index f048657f6..39041adf0 100644
--- a/ruoyi-ui/src/layout/index.vue
+++ b/ruoyi-ui/src/layout/index.vue
@@ -1,17 +1,19 @@
 <template>
   <div :class="classObj" class="app-wrapper" :style="{'--current-color': theme}">
-    <div v-if="device==='mobile'&&sidebar.opened" class="drawer-bg" @click="handleClickOutside"/>
-    <sidebar v-if="!sidebar.hide" class="sidebar-container" />
-    <div :class="{hasTagsView:needTagsView,sidebarHide:sidebar.hide}" class="main-container">
-      <div :class="{'fixed-header':fixedHeader}">
-        <navbar />
-        <tags-view v-if="needTagsView" />
+    <el-scrollbar>
+      <div v-if="device==='mobile'&&sidebar.opened" class="drawer-bg" @click="handleClickOutside"/>
+      <sidebar v-if="!sidebar.hide" class="sidebar-container" />
+      <div :class="{hasTagsView:needTagsView,sidebarHide:sidebar.hide}" class="main-container">
+        <div :class="{'fixed-header':fixedHeader}">
+          <navbar />
+          <tags-view v-if="needTagsView" />
+        </div>
+        <app-main />
+        <right-panel>
+          <settings />
+        </right-panel>
       </div>
-      <app-main />
-      <right-panel>
-        <settings />
-      </right-panel>
-    </div>
+    </el-scrollbar>
   </div>
 </template>
 
@@ -72,6 +74,14 @@ export default {
     height: 100%;
     width: 100%;
 
+    .el-scrollbar{
+      height: 100%;
+    }
+
+    ::v-deep .el-scrollbar__wrap {
+      overflow-x: hidden;
+    }
+
     &.mobile.openSidebar {
       position: fixed;
       top: 0;

From bb265274c50ca0458b9d65dcec145963592889f2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 11:39:00 +0800
Subject: [PATCH 05/10] =?UTF-8?q?update=20=E4=BC=98=E5=8C=96$tab.closePage?=
 =?UTF-8?q?=E5=90=8E=E5=AD=98=E5=9C=A8=E9=9D=9E=E9=A6=96=E9=A1=B5=E9=A1=B5?=
 =?UTF-8?q?=E7=AD=BE=E6=97=B6=E4=B8=8D=E5=BA=94=E8=AF=A5=E8=B7=B3=E8=BD=AC?=
 =?UTF-8?q?=E9=A6=96=E9=A1=B5?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/plugins/tab.js | 138 +++++++++++++++++++-----------------
 1 file changed, 71 insertions(+), 67 deletions(-)

diff --git a/ruoyi-ui/src/plugins/tab.js b/ruoyi-ui/src/plugins/tab.js
index 5e8b834af..3d757a33d 100644
--- a/ruoyi-ui/src/plugins/tab.js
+++ b/ruoyi-ui/src/plugins/tab.js
@@ -1,67 +1,71 @@
-import store from '@/store'
-import router from '@/router';
-
-export default {
-  // 刷新当前tab页签
-  refreshPage(obj) {
-    const { path, query, matched } = router.currentRoute;
-    if (obj === undefined) {
-      matched.forEach((m) => {
-        if (m.components && m.components.default && m.components.default.name) {
-          if (!['Layout', 'ParentView'].includes(m.components.default.name)) {
-            obj = { name: m.components.default.name, path: path, query: query };
-          }
-        }
-      });
-    }
-    return store.dispatch('tagsView/delCachedView', obj).then(() => {
-      const { path, query } = obj
-      router.replace({
-        path: '/redirect' + path,
-        query: query
-      })
-    })
-  },
-  // 关闭当前tab页签，打开新页签
-  closeOpenPage(obj) {
-    store.dispatch("tagsView/delView", router.currentRoute);
-    if (obj !== undefined) {
-      return router.push(obj);
-    }
-  },
-  // 关闭指定tab页签
-  closePage(obj) {
-    if (obj === undefined) {
-      return store.dispatch('tagsView/delView', router.currentRoute).then(({ lastPath }) => {
-        return router.push(lastPath || '/');
-      });
-    }
-    return store.dispatch('tagsView/delView', obj);
-  },
-  // 关闭所有tab页签
-  closeAllPage() {
-    return store.dispatch('tagsView/delAllViews');
-  },
-  // 关闭左侧tab页签
-  closeLeftPage(obj) {
-    return store.dispatch('tagsView/delLeftTags', obj || router.currentRoute);
-  },
-  // 关闭右侧tab页签
-  closeRightPage(obj) {
-    return store.dispatch('tagsView/delRightTags', obj || router.currentRoute);
-  },
-  // 关闭其他tab页签
-  closeOtherPage(obj) {
-    return store.dispatch('tagsView/delOthersViews', obj || router.currentRoute);
-  },
-  // 添加tab页签
-  openPage(title, url, params) {
-    var obj = { path: url, meta: { title: title } }
-    store.dispatch('tagsView/addView', obj);
-    return router.push({ path: url, query: params });
-  },
-  // 修改tab页签
-  updatePage(obj) {
-    return store.dispatch('tagsView/updateVisitedView', obj);
-  }
-}
+import store from '@/store'
+import router from '@/router';
+
+export default {
+  // 刷新当前tab页签
+  refreshPage(obj) {
+    const { path, query, matched } = router.currentRoute;
+    if (obj === undefined) {
+      matched.forEach((m) => {
+        if (m.components && m.components.default && m.components.default.name) {
+          if (!['Layout', 'ParentView'].includes(m.components.default.name)) {
+            obj = { name: m.components.default.name, path: path, query: query };
+          }
+        }
+      });
+    }
+    return store.dispatch('tagsView/delCachedView', obj).then(() => {
+      const { path, query } = obj
+      router.replace({
+        path: '/redirect' + path,
+        query: query
+      })
+    })
+  },
+  // 关闭当前tab页签，打开新页签
+  closeOpenPage(obj) {
+    store.dispatch("tagsView/delView", router.currentRoute);
+    if (obj !== undefined) {
+      return router.push(obj);
+    }
+  },
+  // 关闭指定tab页签
+  closePage(obj) {
+    if (obj === undefined) {
+      return store.dispatch('tagsView/delView', router.currentRoute).then(({ visitedViews }) => {
+        const latestView = visitedViews.slice(-1)[0]
+        if (latestView) {
+          return router.push(latestView.fullPath)
+        }
+        return router.push('/');
+      });
+    }
+    return store.dispatch('tagsView/delView', obj);
+  },
+  // 关闭所有tab页签
+  closeAllPage() {
+    return store.dispatch('tagsView/delAllViews');
+  },
+  // 关闭左侧tab页签
+  closeLeftPage(obj) {
+    return store.dispatch('tagsView/delLeftTags', obj || router.currentRoute);
+  },
+  // 关闭右侧tab页签
+  closeRightPage(obj) {
+    return store.dispatch('tagsView/delRightTags', obj || router.currentRoute);
+  },
+  // 关闭其他tab页签
+  closeOtherPage(obj) {
+    return store.dispatch('tagsView/delOthersViews', obj || router.currentRoute);
+  },
+  // 添加tab页签
+  openPage(title, url, params) {
+    var obj = { path: url, meta: { title: title } }
+    store.dispatch('tagsView/addView', obj);
+    return router.push({ path: url, query: params });
+  },
+  // 修改tab页签
+  updatePage(obj) {
+    return store.dispatch('tagsView/updateVisitedView', obj);
+  }
+}

From 080485417526da0b7e09fb9e372f182e55d42e18 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 11:40:42 +0800
Subject: [PATCH 06/10] update delete build style

---
 ruoyi-ui/src/views/tool/build/index.vue | 13 -------------
 1 file changed, 13 deletions(-)

diff --git a/ruoyi-ui/src/views/tool/build/index.vue b/ruoyi-ui/src/views/tool/build/index.vue
index d679422e8..ed5506e09 100644
--- a/ruoyi-ui/src/views/tool/build/index.vue
+++ b/ruoyi-ui/src/views/tool/build/index.vue
@@ -371,19 +371,6 @@ export default {
 </script>
 
 <style lang='scss'>
-body, html{
-  margin: 0;
-  padding: 0;
-  background: #fff;
-  -moz-osx-font-smoothing: grayscale;
-  -webkit-font-smoothing: antialiased;
-  text-rendering: optimizeLegibility;
-  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;
-}
-
-input, textarea{
-  font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;
-}
 
 .editor-tabs{
   background: #121315;

From a31d4a92d6794a2dc56aa1fb8a687bb9242b5110 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 11:46:48 +0800
Subject: [PATCH 07/10] =?UTF-8?q?update=20=E4=BC=98=E5=8C=96=E9=80=89?=
 =?UTF-8?q?=E6=8B=A9=E5=9B=BE=E6=A0=87=E7=BB=84=E4=BB=B6?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/components/IconSelect/index.vue | 2 +-
 ruoyi-ui/src/views/system/menu/index.vue     | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/ruoyi-ui/src/components/IconSelect/index.vue b/ruoyi-ui/src/components/IconSelect/index.vue
index b0ec9fa1a..2ace1224f 100644
--- a/ruoyi-ui/src/components/IconSelect/index.vue
+++ b/ruoyi-ui/src/components/IconSelect/index.vue
@@ -1,7 +1,7 @@
 <!-- @author zhengjie -->
 <template>
   <div class="icon-body">
-    <el-input v-model="name" style="position: relative;" clearable placeholder="请输入图标名称" @clear="filterIcons" @input.native="filterIcons">
+    <el-input v-model="name" style="position: relative;" clearable placeholder="请输入图标名称" @clear="filterIcons" @input="filterIcons">
       <i slot="suffix" class="el-icon-search el-input__icon" />
     </el-input>
     <div class="icon-list">
diff --git a/ruoyi-ui/src/views/system/menu/index.vue b/ruoyi-ui/src/views/system/menu/index.vue
index 52eb8b956..2bb73c71b 100644
--- a/ruoyi-ui/src/views/system/menu/index.vue
+++ b/ruoyi-ui/src/views/system/menu/index.vue
@@ -140,8 +140,7 @@
                     v-if="form.icon"
                     slot="prefix"
                     :icon-class="form.icon"
-                    class="el-input__icon"
-                    style="height: 32px;width: 16px;"
+                    style="width: 25px;"
                   />
                   <i v-else slot="prefix" class="el-icon-search el-input__icon" />
                 </el-input>

From f3fa1386e73ad4f6f7912bfbc2100f714c28ec67 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 12:24:25 +0800
Subject: [PATCH 08/10] =?UTF-8?q?update=20=E7=A7=BB=E9=99=A4vue-multiselec?=
 =?UTF-8?q?t=E6=A0=B7=E5=BC=8F?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/assets/styles/index.scss | 9 ---------
 1 file changed, 9 deletions(-)

diff --git a/ruoyi-ui/src/assets/styles/index.scss b/ruoyi-ui/src/assets/styles/index.scss
index 96095ef6b..2f3b9ef9c 100644
--- a/ruoyi-ui/src/assets/styles/index.scss
+++ b/ruoyi-ui/src/assets/styles/index.scss
@@ -180,12 +180,3 @@ aside {
     margin-bottom: 10px;
   }
 }
-
-//refine vue-multiselect plugin
-.multiselect {
-  line-height: 16px;
-}
-
-.multiselect--active {
-  z-index: 1000 !important;
-}

From df5eb800cda6c26d391dc7a216ebc3616ddab1bd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 12:26:07 +0800
Subject: [PATCH 09/10] =?UTF-8?q?fix=20=E4=BF=AE=E5=A4=8Dtab=E6=A0=8F?=
 =?UTF-8?q?=E2=80=9C=E5=85=B3=E9=97=AD=E5=85=B6=E4=BB=96=E2=80=9D=E5=BC=82?=
 =?UTF-8?q?=E5=B8=B8=E7=9A=84=E9=97=AE=E9=A2=98?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/layout/components/TagsView/index.vue | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ruoyi-ui/src/layout/components/TagsView/index.vue b/ruoyi-ui/src/layout/components/TagsView/index.vue
index 3c0644e1c..96585a5b1 100644
--- a/ruoyi-ui/src/layout/components/TagsView/index.vue
+++ b/ruoyi-ui/src/layout/components/TagsView/index.vue
@@ -182,7 +182,7 @@ export default {
       })
     },
     closeOthersTags() {
-      this.$router.push(this.selectedTag).catch(()=>{});
+      this.$router.push(this.selectedTag.fullPath).catch(()=>{});
       this.$tab.closeOtherPage(this.selectedTag).then(() => {
         this.moveToCurrentTag()
       })

From ecdb629438bbb195c8e0f8dbb42f361e21bf97c6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E7=96=AF=E7=8B=82=E7=9A=84=E7=8B=AE=E5=AD=90li?=
 <15040126243@163.com>
Date: Thu, 6 Apr 2023 12:27:11 +0800
Subject: [PATCH 10/10] =?UTF-8?q?update=20=E4=BC=98=E5=8C=96=E5=9B=BA?=
 =?UTF-8?q?=E5=AE=9A=E5=A4=B4=E9=83=A8=E9=A1=B5=E7=AD=BE=E6=BB=9A=E5=8A=A8?=
 =?UTF-8?q?=E6=9D=A1=E8=A2=AB=E9=9A=90=E8=97=8F=E7=9A=84=E9=97=AE=E9=A2=98?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 ruoyi-ui/src/layout/index.vue | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/ruoyi-ui/src/layout/index.vue b/ruoyi-ui/src/layout/index.vue
index 39041adf0..1daaba200 100644
--- a/ruoyi-ui/src/layout/index.vue
+++ b/ruoyi-ui/src/layout/index.vue
@@ -78,6 +78,10 @@ export default {
       height: 100%;
     }
 
+    ::v-deep .el-scrollbar__bar.is-vertical {
+      z-index: 10;
+    }
+
     ::v-deep .el-scrollbar__wrap {
       overflow-x: hidden;
     }
